import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { mission } from "./mission";
import { CodingHelper } from "../../helpers/codingHelper";
import { CODING_SECRET } from "../../env.defaults";

@Entity()
export class mission_contact {
  @PrimaryColumn({ type: "varchar", length: 36 })
  missionId: string;

  @PrimaryColumn({ type: "varchar", length: 36 })
  contactId: string;

  @Column({ type: "text", default: "", transformer: CodingHelper.entityBaseCoding(CODING_SECRET) })
  firstname: string;

  @Column({ type: "text", default: "", transformer: CodingHelper.entityBaseCoding(CODING_SECRET) })
  lastname: string;

  @Column({ type: "text", default: "", transformer: CodingHelper.entityBaseCoding(CODING_SECRET) })
  phone: string;

  @Column({ type: "text", default: "", transformer: CodingHelper.entityBaseCoding(CODING_SECRET) })
  address: string;

  @Column({ type: "text", default: "", transformer: CodingHelper.entityBaseCoding(CODING_SECRET) })
  note: string;

  @ManyToOne(() => mission, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  mission: mission;
}
